# $Revision: 1.19 $, $Date: 2009/09/04 13:56:39 $
Summary:	LADSPA SDK example plugins
Summary(pl.UTF-8):	Przykładowe wtyczki z LADSPA SDK
Name:		ladspa
Version:	1.13
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.ladspa.org/download/%{name}_sdk_%{version}.tgz
# Source0-md5:	671be3e1021d0722cadc7fb27054628e
Patch0:		%{name}-mkdirhier.patch
Patch1:		%{name}-gcc4.patch
URL:		http://www.ladspa.org/
BuildRequires:	perl-base
BuildRequires:	libstdc++-devel
Requires:	%{name}-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plugins from the LADSPA SDK.

%description -l pl.UTF-8
Istnieje wiele pakietów do syntezy używanych lub rozwijanych na
platformie linuksowej. LADSPA (Linux Audio Developer's Simple Plugin
API - proste API wtyczek dla programistów dźwięku pod Linuksem) to
próba udostępnienia programistom możliwości pisania prostych "wtyczek"
procesorów dźwięku w C/C++ i ich dynamicznej konsolidacji z wieloma
aplikacjami.

Ten pakiet zawiera przykładowe wtyczki z LADSPA SDK.

%package common
Summary:	Common environment for LADSPA plugins
Summary(pl.UTF-8):	Środowisko wspólne dla wtyczek LADSPA
Group:		Libraries

%description common
Common environment for LADSPA plugins. Currently it contains only
appropriate directory trees.

%description common -l pl.UTF-8
Środowisko wspólne dla wtyczek LADSPA. Aktualnie zawiera tylko
odpowiednie drzewa katalogów.

%package devel
Summary:	Linux Audio Developer's Simple Plugin API
Summary(pl.UTF-8):	Pakiet programistyczny LADSPA (Linux Audio Developer's Simple Plugin API)
Group:		Development/Libraries
# doesn't require base or common

%description devel
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

Definitive technical documentation on LADSPA plugins for both the host
and plugin is contained within copious comments within the ladspa.h
header file.

%description devel -l pl.UTF-8
Istnieje wiele pakietów do syntezy używanych lub rozwijanych na
platformie linuksowej. LADSPA (Linux Audio Developer's Simple Plugin
API - proste API wtyczek dla programistów dźwięku pod Linuksem) to
próba udostępnienia programistom możliwości pisania prostych "wtyczek"
procesorów dźwięku w C/C++ i ich dynamicznej konsolidacji z wieloma
aplikacjami.

Techniczna dokumentacja do wtyczek LADSPA dotycząca zarówno samych
wtyczek jak i korzystania z nich w programach znajduje się w
komentarzach pliku nagłówkowego ladspa.h.

%prep
%setup -q -n %{name}_sdk
%patch0 -p1
%patch1 -p1
cd doc
#fix links to the header file in the docs
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html

%build
%{__make} -C src targets \
	CC="%{__cc}" CPP="%{__cxx}" \
	CFLAGS="-I. -Wall -Werror %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf

%{__make} -C src install \
	MKDIRHIER="/usr/bin/install -d" \
	INSTALL_PLUGINS_DIR=$RPM_BUILD_ROOT%{_libdir}/ladspa \
	INSTALL_INCLUDE_DIR=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_BINARY_DIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/ladspa/*.so

%files common
%defattr(644,root,root,755)
%dir %{_libdir}/ladspa
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%{_includedir}/ladspa.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ladspa.spec,v $
Revision 1.19  2009/09/04 13:56:39  tommat
- make it buildable

Revision 1.18  2008/07/20 19:53:26  qboosh
- updated to 1.13
- updated mkdirhier patch

Revision 1.17  2008/01/31 21:41:42  glen
- rel 5

Revision 1.16  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.14  2005/11/25 11:22:50  pluto
- gcc4 fix, release 4 for Th.

Revision 1.13  2004/10/10 09:57:10  pluto
- BR(s/perl/perl-base/) fixed.

Revision 1.12  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.11  2003/12/13 11:54:56  tiwek
- added missing BR

Revision 1.10  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.9  2003/07/14 20:44:22  qboosh
- added common package - environment for all LADSPA plugins; release 3

Revision 1.8  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.7  2003/05/25 05:49:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/27 10:16:18  qboosh
- -devel doesn't R: base

Revision 1.5  2003/02/05 13:21:11  wiget
- use mkinstalldirs (from rpm-build) not mkdirhier (from XFree86)
- release 2

Revision 1.4  2003/01/27 15:21:12  wrobell
- fixed file list

Revision 1.3  2003/01/26 19:04:45  qboosh
- removed COPYING from doc (just LGPL)
- use proper CC and CFLAGS

Revision 1.2  2003/01/26 14:33:11  qboosh
- pl description

Revision 1.1  2003/01/24 16:47:16  aflinta
- PLD initial release
